Bug 181827 - WinSync: attribute trim to 0 length not sync'd from AD to RHDS
WinSync: attribute trim to 0 length not sync'd from AD to RHDS
Status: CLOSED NEXTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Sync Service (Show other bugs)
7.1
All Linux
medium Severity medium
: DS8.0
: ---
Assigned To: Nathan Kinder
Orla Hegarty
:
Depends On:
Blocks: 159328 182367
  Show dependency treegraph
 
Reported: 2006-02-16 16:42 EST by To Ngan
Modified: 2008-08-11 19:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 17:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (8.45 KB, patch)
2006-02-17 19:30 EST, Nathan Kinder
no flags Details | Diff
Revised Diffs (10.85 KB, patch)
2006-02-20 14:00 EST, Nathan Kinder
no flags Details | Diff
Revised Diffs (10.56 KB, patch)
2006-02-20 14:29 EST, Nathan Kinder
no flags Details | Diff

  None (edit)
Description To Ngan 2006-02-16 16:42:01 EST
Description of problem:
WinSync: attribute deletion not sync'd from AD to RHDS

Version-Release number of selected component (if applicable):
7.1SP1

How reproducible:
Consistently

Steps to Reproduce:
1. Set up Win Sync between RHDS and AD
2. Verify add and trim of attribute values from either side sync both ways
3. On RHDS, trim an attribute (e.g. phone #) to nothing, verify that syncs to AD
4. On AD, trim an attribute to nothing  

Actual results:
This change won't sync to RHDS

Expected results:
It should sync to RHDS


Additional info:
Error log with replication logging on when AD side trims attributes from 4 chars
to down to 2 chars and when phonenumber is trimmed to 0 length on the RHDS side:
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - Running Dirsync
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: wait_for_changes -> wait_for_changes
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: wait_for_changes -> ready_to_acquire_replica
[16/Feb/2006:11:17:17 -0800] - acquire_replica, supplier RUV:
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - supplier:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - supplier: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4cf33000000020000 43f4cf33
[16/Feb/2006:11:17:17 -0800] - acquire_replica, consumer RUV:
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - consumer:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - consumer: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4cf33000000020000 43f4cf34
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Trying non-secure slapi_ldap_init
[16/Feb/2006:11:17:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): binddn = cn=sync
manager,cn=Users,dc=sfbay,dc=redhat,dc=com,dc=local,  passwd =
{DES}+aDjp37wBealdDqe2ifOAA==
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): No linger to cancel on the connection
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - windows_acquire_replica
returned success (101)
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: ready_to_acquire_replica -> sending_updates
[16/Feb/2006:11:17:18 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Consumer RUV:
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4cf33000000020000 43f4cf34
[16/Feb/2006:11:17:18 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Supplier RUV:
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4cf33000000020000 43f4cf33
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): No changes to send
[16/Feb/2006:11:17:18 -0800] - Sending dirsync search request
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - received entry from
dirsync: CN=rhds t1,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:17:18 -0800] - windows_search_entry: recieved 2 messages, 1
entries, 0 references
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com, sn :
values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
telephoneNumber : values are different
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
facsimileTelephoneNumber : values are different
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
givenName : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com, cn :
values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserCodePage : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserLastLogoff : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserLastLogon : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserAcctExpires : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserDomainId : values are equal
[16/Feb/2006:11:17:18 -0800] - smod - windows sync
[16/Feb/2006:11:17:18 -0800] - smod 0 - replace: telephoneNumber
[16/Feb/2006:11:17:18 -0800] - smod 0 - value: telephoneNumber: 12
[16/Feb/2006:11:17:18 -0800] - smod 1 - replace: facsimileTelephoneNumber
[16/Feb/2006:11:17:18 -0800] - smod 1 - value: facsimileTelephoneNumber: 55
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - modifying entry:
uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - ruv_add_csn_inprogress:
successfully inserted csn 43f4cfbe000100020000 into pending list
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - Purged state information
from entry uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com up to CSN
43eb94b3000000020000
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - ruv_update_ruv:
successfully committed csn 43f4cfbe000100020000
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin - received entry from
dirsync: CN=AD test3,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:17:18 -0800] - windows_search_entry: recieved 2 messages, 1
entries, 0 references
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
sn : values are equal
[16/Feb/2006:11:17:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
description : values are different
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
telephoneNumber : values are different
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
facsimileTelephoneNumber : values are different
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
givenName : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
cn : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserCodePage : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserLastLogoff : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserLastLogon : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserAcctExpires : values are equal
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserDomainId : values are equal
[16/Feb/2006:11:17:19 -0800] - smod - windows sync
[16/Feb/2006:11:17:19 -0800] - smod 0 - replace: description
[16/Feb/2006:11:17:19 -0800] - smod 0 - value: description: ADtest3 description
[16/Feb/2006:11:17:19 -0800] - smod 1 - replace: telephoneNumber
[16/Feb/2006:11:17:19 -0800] - smod 1 - value: telephoneNumber: 22
[16/Feb/2006:11:17:19 -0800] - smod 2 - replace: facsimileTelephoneNumber
[16/Feb/2006:11:17:19 -0800] - smod 2 - value: facsimileTelephoneNumber: 12
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - modifying entry:
uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - ruv_add_csn_inprogress:
successfully inserted csn 43f4cfbf000000020000 into pending list
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - Purged state information
from entry uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com up to CSN
43eb953e000100020000
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - ruv_update_ruv:
successfully committed csn 43f4cfbf000000020000
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Beginning linger on the connection
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: sending_updates -> wait_for_changes
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: wait_for_changes -> ready_to_acquire_replica
[16/Feb/2006:11:17:19 -0800] - acquire_replica, supplier RUV:
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - supplier:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - supplier: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4cfbf000000020000 43f4cfbf
[16/Feb/2006:11:17:19 -0800] - acquire_replica, consumer RUV:
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - consumer:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - consumer: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4cf33000000020000 43f4cf34
[16/Feb/2006:11:17:19 -0800] - acquire_replica, supplier RUV is newer
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Cancelling linger on the connection
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Linger timeout has expired on the connection
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - windows_acquire_replica
returned success (101)
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: ready_to_acquire_replica -> sending_updates
[16/Feb/2006:11:17:19 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Consumer RUV:
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:19 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4cf33000000020000 43f4cf34
[16/Feb/2006:11:17:19 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Supplier RUV:
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4cfbf000000020000 43f4cfbf
[16/Feb/2006:11:17:20 -0800] agmt="cn=optimusvm3" (optimusvm3:389) - session
start: anchorcsn=43f4cf33000000020000
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - changelog program -
agmt="cn=optimusvm3" (optimusvm3:389): CSN 43f4cf33000000020000 found, position
set for replay
[16/Feb/2006:11:17:20 -0800] agmt="cn=optimusvm3" (optimusvm3:389) - load=1
rec=1 csn=43f4cfbe000100020000
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): windows_replay_update: Looking at modify operation local
dn="uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com" (ours,user,not group)
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): windows_replay_update: Processing modify operation local
dn="uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com" remote
dn="<GUID=5eae637598fd304e83aeb86f6055d83f>"
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - dump mods for replay
update:[16/Feb/2006:11:17:20 -0800] - smod 0 - replace: telephoneNumber
[16/Feb/2006:11:17:20 -0800] - smod 0 - value: telephoneNumber: 12
[16/Feb/2006:11:17:20 -0800] - smod 1 - replace: facsimileTelephoneNumber
[16/Feb/2006:11:17:20 -0800] - smod 1 - value: facsimileTelephoneNumber: 55
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Received result code 0 () for modify operation
[16/Feb/2006:11:17:20 -0800] agmt="cn=optimusvm3" (optimusvm3:389) - load=1
rec=2 csn=43f4cfbf000000020000
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): windows_replay_update: Looking at modify operation local
dn="uid=adtest3,ou=people,dc=sfbay,dc=redhat,dc=com" (ours,user,not group)
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): windows_replay_update: Processing modify operation local
dn="uid=adtest3,ou=people,dc=sfbay,dc=redhat,dc=com" remote
dn="<GUID=56f54fee34372d41b20a4c3de530e99c>"
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - dump mods for replay
update:[16/Feb/2006:11:17:20 -0800] - smod 0 - replace: description
[16/Feb/2006:11:17:20 -0800] - smod 0 - value: description: ADtest3 description
[16/Feb/2006:11:17:20 -0800] - smod 1 - replace: telephoneNumber
[16/Feb/2006:11:17:20 -0800] - smod 1 - value: telephoneNumber: 22
[16/Feb/2006:11:17:20 -0800] - smod 2 - replace: facsimileTelephoneNumber
[16/Feb/2006:11:17:20 -0800] - smod 2 - value: facsimileTelephoneNumber: 12
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Received result code 0 () for modify operation
[16/Feb/2006:11:17:20 -0800] agmt="cn=optimusvm3" (optimusvm3:389) -
clcache_load_buffer: rc=-30990
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): No more updates to send (cl5GetNextOperationToReplay)
[16/Feb/2006:11:17:20 -0800] agmt="cn=optimusvm3" (optimusvm3:389) - session
end: state=5 load=1 sent=2 skipped=0
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Beginning linger on the connection
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: sending_updates -> wait_for_changes
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Linger timeout has expired on the connection
[16/Feb/2006:11:17:20 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Disconnected from the consumer


Error log when faxnumbers were trimmed to 0 length on AD side:
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - Running Dirsync
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: wait_for_changes -> wait_for_changes
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: wait_for_changes -> ready_to_acquire_replica
[16/Feb/2006:11:27:17 -0800] - acquire_replica, supplier RUV:
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - supplier:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - supplier: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4d113000000020000 43f4d113
[16/Feb/2006:11:27:17 -0800] - acquire_replica, consumer RUV:
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - consumer:
{replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - consumer: {replica 2
ldap://works4you.sfbay.redhat.com:7989} 43f4bdd3000000020000
43f4d113000000020000 43f4d113
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Trying non-secure slapi_ldap_init
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): binddn = cn=sync
manager,cn=Users,dc=sfbay,dc=redhat,dc=com,dc=local,  passwd =
{DES}+aDjp37wBealdDqe2ifOAA==
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): No linger to cancel on the connection
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - windows_acquire_replica
returned success (101)
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: ready_to_acquire_replica -> sending_updates
[16/Feb/2006:11:27:17 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Consumer RUV:
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4d113000000020000 43f4d113
[16/Feb/2006:11:27:17 -0800] - _cl5PositionCursorForReplay (agmt="cn=optimusvm3"
(optimusvm3:389)): Supplier RUV:
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replicageneration} 43f4ba5b000000020000
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): {replica 2 ldap://works4you.sfbay.redhat.com:7989}
43f4bdd3000000020000 43f4d113000000020000 43f4d113
[16/Feb/2006:11:27:17 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): No changes to send
[16/Feb/2006:11:27:17 -0800] - Sending dirsync search request
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - received entry from
dirsync: CN=AD test3,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:27:18 -0800] - windows_search_entry: recieved 2 messages, 1
entries, 0 references
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
sn : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
description : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
givenName : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
cn : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserCodePage : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserLastLogoff : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserLastLogon : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserAcctExpires : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=adtest3,ou=People, dc=sfbay,dc=redhat,dc=com,
ntUserDomainId : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - no mods generated for
entry: CN=AD test3,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - received entry from
dirsync: CN=rhds t1,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:27:18 -0800] - windows_search_entry: recieved 2 messages, 1
entries, 0 references
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com, sn :
values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
givenName : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com, cn :
values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserCodePage : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserLastLogoff : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserLastLogon : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserAcctExpires : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin -
windows_generate_update_mods: uid=rt1,ou=people,dc=sfbay,dc=redhat,dc=com,
ntUserDomainId : values are equal
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - no mods generated for
entry: CN=rhds t1,CN=Users,DC=sfbay,DC=redhat,DC=com,DC=local
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Beginning linger on the connection
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): State: sending_updates -> wait_for_changes
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Linger timeout has expired on the connection
[16/Feb/2006:11:27:18 -0800] NSMMReplicationPlugin - agmt="cn=optimusvm3"
(optimusvm3:389): Disconnected from the consumer


Sync service didn't detect the trims on the AD side.



EXTRA: When verifying fix for this bug in DS 7.1 SP2, remember to add test case
so it gets regression tested in DS 7.2 and other future releaese.
Comment 1 Nathan Kinder 2006-02-17 19:30:28 EST
Created attachment 124842 [details]
CVS Diffs

The dirsync search control passes back deleted attributes with no values.  If
you try to add a Slapi_Attr with no values to a Slapi_Entry, it doesn't get
added.	This fix stuffs the deleted attributes into the deleted attributes list
in the Slapi_Entry and checks for them when creating the modification
operations to be performed on the local entry.
Comment 2 Nathan Kinder 2006-02-20 14:00:09 EST
Created attachment 124897 [details]
Revised Diffs

Per Rich's review, I made a few changes to escape DNs before printing them to
the logs as well as using slapi_ch_free_string() to make the code cleaner.
Comment 3 Nathan Kinder 2006-02-20 14:29:23 EST
Created attachment 124898 [details]
Revised Diffs

Fixed an incorrect comment.
Comment 4 Nathan Kinder 2006-02-20 14:31:53 EST
Checked into HEAD.  Reviewed by Rich, Noriko, and Pete.

Checking in windows_connection.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/windows_connection.c,v 
<--  windows_connection.c
new revision: 1.13; previous revision: 1.12
done
Checking in windows_protocol_util.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/windows_protocol_util.c,v
 <--  windows_protocol_util.c
new revision: 1.24; previous revision: 1.23
done
Comment 5 Orla Hegarty 2006-03-08 20:31:14 EST
*DOCS*
Deleting an attribute value by trimming it's value to an empty string in Active
Directory did not sync to Red Hat Directory Server. This problem has been fixed.
Comment 6 Orla Hegarty 2006-03-10 17:48:33 EST
Verified fixed against DS 7.2 SP 2 on all supported platforms ( RHEL 3 and 4,
Solaris 9 32 and 64 bit and HP-UX 11i )

Four new automated usersync test cases have been added to the regression test
suite. us_72 to us_75 inclusive. 
Comment 7 Chandrasekar Kannan 2007-07-25 15:04:53 EDT
DS7.2 is not a valid milestone anymore. Anything thats set to DS7.2 should be
set to DS8.0. Will make further changes per bug council on 07/24/2007, after this.
Comment 8 Chandrasekar Kannan 2008-08-11 19:44:09 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.